OpenMM

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Pages
Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
XmlSerializer Class Reference

XmlSerializer is used for serializing objects as XML, and for reconstructing them again. More...

Inherits _object.

## Public Member Functions
def | __init__
def | serializeSystem
| serializeSystem(System object) -> std::string More...
def | deserializeSystem
| deserializeSystem(char const * inputString) -> System More...
def | __del__
| del(OpenMM::XmlSerializer self) More...

## Static Public Member Functions
def | serialize
| Serialize an object as XML. More...
def | deserialize
| Reconstruct an object that has been serialized as XML. More...

## Static Public Attributes
tuple | serializeSystem = staticmethod(serializeSystem)
tuple | deserializeSystem = staticmethod(deserializeSystem)

## Detailed Description

XmlSerializer is used for serializing objects as XML, and for reconstructing them again.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args,
|  |  | kwargs
| ) |  |

def __del__ | ( |  | self | ) |

del(OpenMM::XmlSerializer self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def deserialize | ( |  | inputString | ) |
| static

Reconstruct an object that has been serialized as XML.

def deserializeSystem | ( |  | inputString | ) |

deserializeSystem(char const * inputString) -> System

This method exists only for backward compatibility.

Deprecated:
  Use deserialize() instead.

References XmlSerializer.deserializeSystem.

def serialize | ( |  | object | ) |
| static

Serialize an object as XML.

def serializeSystem | ( |  | object | ) |

serializeSystem(System object) -> std::string

This method exists only for backward compatibility.

Deprecated:
  Use serialize() instead.

References XmlSerializer.serializeSystem.

## Member Data Documentation

tuple deserializeSystem = staticmethod(deserializeSystem)
| static

Referenced by XmlSerializer.deserializeSystem().

tuple serializeSystem = staticmethod(serializeSystem)
| static

Referenced by XmlSerializer.serializeSystem().

The documentation for this class was generated from the following file:

- openmm.py